package com.hzya.frame.voucher.ae.comf.factor.service;

import com.github.pagehelper.PageInfo;
import com.hzya.frame.voucher.ae.comf.factor.entity.AeConfInfluenceFactorCorrelationEntity;
import com.hzya.frame.basedao.service.IBaseService;

import java.util.List;
import java.util.Map;

/**
 * 会计事项(accounting_event)-配置-影响因素关联设置(AeConfInfluenceFactorCorrelation)表服务接口
 *
 * @author zydd
 * @since 2025-05-27 09:07:42
 */
public interface IAeConfInfluenceFactorCorrelationService extends IBaseService<AeConfInfluenceFactorCorrelationEntity, String> {
    List<AeConfInfluenceFactorCorrelationEntity> queryByMdmId(AeConfInfluenceFactorCorrelationEntity entity);

    List<AeConfInfluenceFactorCorrelationEntity> queryAll(AeConfInfluenceFactorCorrelationEntity entity);

    List<AeConfInfluenceFactorCorrelationEntity> saveList(List<AeConfInfluenceFactorCorrelationEntity> list);
    List<AeConfInfluenceFactorCorrelationEntity> updateList(List<AeConfInfluenceFactorCorrelationEntity> list);

    Map<String, Integer> deleteList(List<AeConfInfluenceFactorCorrelationEntity> list);
}
