package com.hzya.frame.voucher.ae.comf.factor.service;

import com.github.pagehelper.PageInfo;
import com.hzya.frame.voucher.ae.comf.factor.entity.AeConfInfluenceFactorEntity;
import com.hzya.frame.basedao.service.IBaseService;

import java.util.List;

/**
 * 会计事项(accounting_event)-配置-影响因素设置(AeConfInfluenceFactor)表服务接口
 *
 * @author zydd
 * @since 2025-05-23 09:44:40
 */
public interface IAeConfInfluenceFactorService extends IBaseService<AeConfInfluenceFactorEntity, String> {

    PageInfo queryEntityPaged(AeConfInfluenceFactorEntity entity);
    List<AeConfInfluenceFactorEntity> queryAll(AeConfInfluenceFactorEntity entity);
    AeConfInfluenceFactorEntity queryById(AeConfInfluenceFactorEntity entity);
    AeConfInfluenceFactorEntity updateById(AeConfInfluenceFactorEntity entity);

    List<AeConfInfluenceFactorEntity> queryFluenceFactorsByModuleId(AeConfInfluenceFactorEntity entity);
}
